# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "devise_ldap_multiple/version"

Gem::Specification.new do |s|
  s.name     = 'devise_ldap_multiple'
  s.version  = DeviseLdapMultiple::VERSION.dup
  s.platform = Gem::Platform::RUBY
  s.summary  = 'Devise extension to allow authentication to multiple LDAP servers, or with multiple configurations to the same LDAP server. Fork of the devise_ldap_authenticatable project.'
  s.email = 'swillett@outlook.com'
  s.homepage = 'https://github.com/xarael/devise_ldap_multiple'
  s.description = s.summary
  s.authors = ['Curtis Schiewek', 'Daniel McNevin', 'Steven Xu', 'Scott Willett']
  s.license = 'MIT'

  s.files         = `git ls-files`.split("\n")
  # s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency 'devise', '>= 3.4.1'
  s.add_dependency 'net-ldap', '>= 0.6', '!= 0.12'

  s.add_development_dependency 'rake', '>= 0.9'
  s.add_development_dependency 'rdoc', '>= 3'
  s.add_development_dependency 'rails', '>= 4.0'
  s.add_development_dependency 'sqlite3'
  s.add_development_dependency 'factory_girl_rails', '~> 1.0'
  s.add_development_dependency 'factory_girl', '~> 2.0'
  s.add_development_dependency 'rspec-rails'

  %w{database_cleaner capybara launchy}.each do |dep|
    s.add_development_dependency(dep)
  end
end
